APIs / TikTok / User Profile

TikTok: User Profile

User Profile from TikTok as JSON. 1 credit per successful call.

GET /v1/tiktok/user-profileNeeds terms

Note
This endpoint needs the restricted-endpoint terms, which you can accept in your dashboard.

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
unique_idstringOptionalUp to 255 characters
user_idstringOptionalUp to 100 characters

Example request

cURLshell
curl "https://api.perceptlayer.com/v1/tiktok/user-profile?unique_id=%40tiktok" \
  -H "X-API-Key: $API_KEY"